Bug 323461 - [RHEL5.2]: Xen 3.1.1 x86_64 vsyscall fixes
Summary: [RHEL5.2]: Xen 3.1.1 x86_64 vsyscall fixes
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Xen Maintainance List
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-08 17:41 UTC by Chris Lalancette
Modified: 2010-07-19 13:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 21:26:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Lalancette 2007-10-08 17:41:27 UTC
Description of problem:
Xen 3.1.1 has a couple of changesets that fix some possible bugs in the x86_64
vsyscall page.  They are in xen-3.1-testing.hg, c/s 15092 and 15125.  We should
determine whether we want/need these changesets.

Comment 1 RHEL Product and Program Management 2008-02-01 22:40:04 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 2 Miroslav Rezanina 2009-04-15 13:26:28 UTC
Applying these two changesets cause only cosmetic change - instead of code mk_kernel_pgd(address) is used its expansion __pgd(address | _TABLE_PAGE). There can be reason to use only c/s 15092 that add _PAGE_USER flag to parameter address.

Comment 3 Chris Lalancette 2009-11-24 21:26:59 UTC
I'm going to close this.  It looks cosmetic, and if we do decided to do vsyscall, it's going to require a lot more than this.  We have other bugs open to cover enabling Xen vsyscall.

Chris Lalancette

Comment 6 Chris Lalancette 2010-07-19 13:48:49 UTC
Clearing out old flags for reporting purposes.

Chris Lalancette


Note You need to log in before you can comment on or make changes to this bug.